import * as cdk from 'aws-cdk-lib';
import * as lambda from 'aws-cdk-lib/aws-lambda';
import * as logs from 'aws-cdk-lib/aws-logs';
import * as constructs from 'constructs';
export interface LogNotifierAttributes {
    readonly destinationFunctionArn: string;
    readonly filterPattern: logs.IFilterPattern;
}
export interface ILogNotifier {
    readonly destinationFunctionArn: string;
    readonly filterPattern: logs.IFilterPattern;
    watch(logGroup: logs.ILogGroup): void;
}
declare abstract class LogNotifierImpl extends cdk.Resource implements ILogNotifier {
    abstract readonly filterPattern: logs.IFilterPattern;
    protected abstract readonly handleLogFunc: lambda.IFunction;
    get destinationFunctionArn(): string;
    get attributes(): LogNotifierAttributes;
    watch(logGroup: logs.ILogGroup): void;
}
export interface DateTimeFormatOptions {
    readonly localeMatcher?: "best fit" | "lookup" | undefined;
    readonly weekday?: "long" | "short" | "narrow" | undefined;
    readonly era?: "long" | "short" | "narrow" | undefined;
    readonly year?: "numeric" | "2-digit" | undefined;
    readonly month?: "numeric" | "2-digit" | "long" | "short" | "narrow" | undefined;
    readonly day?: "numeric" | "2-digit" | undefined;
    readonly hour?: "numeric" | "2-digit" | undefined;
    readonly minute?: "numeric" | "2-digit" | undefined;
    readonly second?: "numeric" | "2-digit" | undefined;
    readonly timeZoneName?: "short" | "long" | "shortOffset" | "longOffset" | "shortGeneric" | "longGeneric" | undefined;
    readonly formatMatcher?: "best fit" | "basic" | undefined;
    readonly hour12?: boolean | undefined;
    readonly timeZone?: string | undefined;
    readonly locales?: string | string[];
}
export interface LogNotifierProps {
    readonly dateTimeFormatOptions?: DateTimeFormatOptions;
    readonly filterPattern: logs.IFilterPattern;
    readonly slackIncomingWebhookUrl: string;
}
export declare class LogNotifier extends LogNotifierImpl {
    readonly filterPattern: logs.IFilterPattern;
    protected handleLogFunc: lambda.IFunction;
    constructor(scope: constructs.Construct, id: string, props: LogNotifierProps);
    static fromAttributes(scope: constructs.Construct, id: string, attrs: LogNotifierAttributes): ILogNotifier;
}
export {};
